/* ======================================= */
/* CSS for control sap.ui.commons/TabStrip */
/* SAP-HCB Theme                           */
/* ======================================= */

.sapUiTabStrip {
	font-size: @sapUiDesktopFontSize;
}

.sapUiTabBar {
	background-image: url(img/tabstrip/tab-bar.png);
	background-repeat: repeat-x;
	background-position: left bottom;
	padding: 4px 0 2px 0;
	height: 18px;
}

.sapUiTab,
.sapUiTabSel,
.sapUiTabDsbl {
	line-height: 18px;
	-moz-background-origin: padding, padding, content;
	-webkit-background-origin: padding, padding, content;
	background-origin: padding-box, padding-box, content-box;
	-moz-background-size: auto auto, auto auto, 100% 28px;
	-webkit-background-size: auto auto, auto auto, 100% 28px;
	background-size: auto auto, auto auto, 100% 28px;
	background-repeat: no-repeat, no-repeat, no-repeat;
	background-position:top left, top right, left top;
	padding-right: 13px;
	padding-left: 16px;
	height: 18px;
	outline-offset: -2px;
}

.sapUiTab,
.sapUiTabDsbl {
	background-image:url(img/tabstrip/tab-left.png), url(img/tabstrip/tab-right.png),url(img/tabstrip/tab.png);
}

.sapUiTabSel {
	background-image:url(img/tabstrip/tab-left-first-sel.png), url(img/tabstrip/tab-right-sel.png),url(img/tabstrip/tab-sel.png);
	font-weight: bold;
	margin-left: -9px;
	padding-left: 25px;
}

.sapUiTab:first-child,
.sapUiTabDsbl:first-child {
	background-image:url(img/tabstrip/tab-left-first.png), url(img/tabstrip/tab-right.png),url(img/tabstrip/tab.png);
	padding-left: 25px;
}

.sapUiTabSel:first-child {
	margin-left: 0;
}

.sapUiTabClose {
	background-image:url(img/tabstrip/tab-close.gif);
	background-repeat:no-repeat;
	background-positon:top right;
	width: 13px;
	height: 13px;
	margin-top: 3px;
	position: relative;
	left: 4px;
}

.sapUiTabSel .sapUiTabClose {
	background-image:url(img/tabstrip/tab-close.gif);
}

.sapUiTabClose:hover {
	background-image:url(img/tabstrip/tab-close-hov.gif);
}

.sapUiTabIco {
	margin-right: 4px;
	margin-top: 2px;
}

.sapUiTabBar .sapUiTabMenu {
	background-image: url(img/tabstrip/tab-menu.png);
	width: 16px;
	height: 16px;
	margin-right: 1px;
}

.sapUiTabPanel {
	top: 24px;
}

.sapUiTabSel:focus,
.sapUiTab:focus,
.sapUiTabDsbl:focus {
  outline: none;
}

.sapUiTabSel,
.sapUiTab,
.sapUiTabDsbl {
  &:focus::before {
	border: 0.1875rem solid @sapHCStandardFG;
	position: absolute;
	content: "";
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 1;
	pointer-events: none;
  }
}

.sapUiTabBar .sapUiTabStripScrollIcon {
	padding-top: 3px;
	margin-top: 0;
	height: 19px;
}

.sapUiTabDsbl:focus::before {
  border-color: @sapUiContentDisabledTextColor;
}

.sapUiTabStripScrollIcon {
	color: @sapHCStandardFG;
	background: @sapHCStandardBG;
	border: 1px solid @sapHCStandardFG;
}

.sapUiTabStripScrollIcon:hover {
	background: @sapHCHighlightBG;
}

.sapUiTabStripScrollIcon:active {
	background: @sapHCHighlightAltBG;
}